Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.changebroker.spi
Class AbstractNotificationProvider

    java.lang.Object
      org.eclipse.emf.ecp.changebroker.spi.AbstractNotificationProvider

All Implemented Interfaces:
  NotificationProvider

Direct Known Subclasses:
  ContentAdapterNotificationProvider, EMFStoreNotificationProvider

    public abstract class AbstractNotificationProvider

extends Object
implements NotificationProvider

Abstract implementation of a `NotificationProvider`.

Author:
  jfaltermeier

Constructor Summary
`AbstractNotificationProvider()`

Method Summary
`void` | `addReceiver(NotificationReceiver receiver)` Adds a new `NotificationReceiver`.
`void` | `removeReceiver(NotificationReceiver receiver)` Removes a `NotificationReceiver`.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractNotificationProvider

    public AbstractNotificationProvider()

Method Detail

### addReceiver

    public void addReceiver(NotificationReceiver receiver)

  Adds a new `NotificationReceiver`. Does nothing of receiver is already registered,

  Specified by:
    `addReceiver` in interface `NotificationProvider`
  Parameters:
    `receiver` - the receiver to add
  See Also:
    `NotificationProvider.addReceiver(org.eclipse.emf.ecp.changebroker.spi.NotificationReceiver)`

### removeReceiver

    public void removeReceiver(NotificationReceiver receiver)

  Removes a `NotificationReceiver`. Does nothing if the receiver was never registered.

  Specified by:
    `removeReceiver` in interface `NotificationProvider`
  Parameters:
    `receiver` - the receiver
  See Also:
    `NotificationProvider.removeReceiver(org.eclipse.emf.ecp.changebroker.spi.NotificationReceiver)`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.